
class vmware::player {

    if ! $vmware_player {
        $vmware_player = "puppet:///files/packages/VMware-Player.${architecture}.bundle"
    }

    file { "/usr/local/src/VMware-Player.bundle":
        ensure => present,
        source => $vmware_player,
        mode   => 0755,
        owner  => root,
        group  => root,
    }

    exec { "/usr/local/src/VMware-Player.bundle --console --required":
        path        => "/bin:/usr/bin:/sbin:/usr/sbin",
        refreshonly => true,
        subscribe   => File["/usr/local/src/VMware-Player.bundle"],
    }

    custom::file { "/usr/local/src/vmware-kernel-patch.bash":
        ensure  => present,
        source  => "puppet:///files/packages/vmware-kernel-patch.bash",
        mode    => 0755,
        owner   => root,
        group   => root,
        require => Exec["/usr/local/src/VMware-Player.bundle --console --required"],
    }

    exec { "/usr/local/src/vmware-kernel-patch.bash":
        path        => "/bin:/usr/bin:/sbin:/usr/sbin",
        refreshonly => true,
        subscribe   => File["/usr/local/src/vmware-kernel-patch.bash"],
        before      => Exec["vmware-modconfig --console --install-all"],
    }

    exec { "vmware-modconfig --console --install-all":
        path    => "/bin:/usr/bin:/sbin:/usr/sbin",
        creates => "/lib/modules/${kernelrelease}/misc/vmci.ko",
    }

}
